Форум русскоязычного сообщества Ubuntu


Получить помощь и пообщаться с другими пользователями Ubuntu можно
на irc канале #ubuntu-ru в сети Freenode
и в Jabber конференции ubuntu@conference.jabber.ru

Автор Тема: настройка l2tp/ipsec на ubuntu 15(необходимо подключиться с psk-ключом)  (Прочитано 4282 раз)

0 Пользователей и 1 Гость просматривают эту тему.

Оффлайн zilberg

  • Автор темы
  • Новичок
  • *
  • Сообщений: 5
    • Просмотр профиля
Никак не могу подключиться используя vpn соединение с l2tp/ipsec, где надо кроме пользователья и пароля еще ввести ключ.
Персмотрел разные темы под данному вопросу:
NetworkManager - но он не поддерживается в 15 версии Ubuntu(вроде это графическая надстройка OpenSwan- уже не включена в 15 версию Ubuntu)
StrongSwan - в графическом режиме нет поля для ввода ключа, пробовал выбирать аутинтефикацию EAP,а потом указывать ключ в ipsec.secrets - безрезультатно(. А для настройки всего через консоль, мало знаю.
Мне надо настроить стандартное подключение аналогичное в о.с. Windows.
(указать шлюз куда надо подключиться, ввести пользователя и пароль, выбрать тип VPN: L2TP IPsec, а потом в поле L2TP ввести сам КЛЮЧ, шифрование CHAP, MS-CHAP v2. Остальные настройки все по умолчанию стоят.) В Windows все работает отменно, а вот Linux полная Жо...
Пробовал настраивать в системах Xubuntu(15),Ubuntu(15) вообще никак, пока пробую на Kubuntu(15) -здесь вроде все есть, но при подключение через l2tp сразу выводит сообщение org.freedesktop.NetworkManager.l2tp was not installed.(настраиваю через гр. интерфейс)
Помогите кто чем может)!

Оффлайн AnrDaemon

  • Заслуженный пользователь
  • Старожил
  • *
  • Сообщений: 27327
    • Просмотр профиля
Хотите получить помощь? Потрудитесь представить запрошенную информацию в полном объёме.

Прежде чем [Отправить], нажми [Просмотр] и прочти собственное сообщение. Сам-то понял, что написал?…

Оффлайн zilberg

  • Автор темы
  • Новичок
  • *
  • Сообщений: 5
    • Просмотр профиля

Оффлайн БТР

  • Заслуженный пользователь
  • Модератор форума
  • Старожил
  • *
  • Сообщений: 5363
    • Просмотр профиля
zilberg, для этой версии (vivid) в репе нет пакетов

попробуй поставить для utopic.

Оффлайн zilberg

  • Автор темы
  • Новичок
  • *
  • Сообщений: 5
    • Просмотр профиля
Предлагаешь установить версию ubuntu 14 и установить l2pt ipsec vpn manager? Если да, то почему utopic?

Оффлайн БТР

  • Заслуженный пользователь
  • Модератор форума
  • Старожил
  • *
  • Сообщений: 5363
    • Просмотр профиля
предлагаю скачать пакеты для utopic и поставить их вручную.

Оффлайн zilberg

  • Автор темы
  • Новичок
  • *
  • Сообщений: 5
    • Просмотр профиля
Напиши, пожалуйста,БТР,
что конкретно скачать? и как установить?

Оффлайн БТР

  • Заслуженный пользователь
  • Модератор форума
  • Старожил
  • *
  • Сообщений: 5363
    • Просмотр профиля
скачать два пакета (network-manager-l2tp и network-manager-l2tp-gnome) для своей версии системы (32 или 64) отсюда, положить в отдельный каталог, открыть в нём терминал, установить пакеты через
sudo dpkg -i *.deb

Оффлайн zilberg

  • Автор темы
  • Новичок
  • *
  • Сообщений: 5
    • Просмотр профиля
Чтение базы данных … на данный момент установлено 210216 файлов и каталогов.)
Подготовка к распаковке network-manager-l2tp_0.9.8.5-0utopic1_i386.deb …
Распаковывается network-manager-l2tp (0.9.8.5-0utopic1) на замену (0.9.8.5-0utopic1) …
Подготовка к распаковке network-manager-l2tp-gnome_0.9.8.5-0utopic1_i386.deb …
Распаковывается network-manager-l2tp-gnome (0.9.8.5-0utopic1) на замену (0.9.8.5-0utopic1) …
dpkg: зависимости пакетов не позволяют настроить пакет network-manager-l2tp:
 network-manager-l2tp зависит от ppp (<< 2.4.6), однако:
  Версия ppp в системе — 2.4.6-3.1ubuntu1.
 network-manager-l2tp зависит от openswan, однако:
  Пакет openswan не установлен.

dpkg: ошибка при обработке пакета network-manager-l2tp (--install):
 проблемы зависимостей — оставляем не настроенным
dpkg: зависимости пакетов не позволяют настроить пакет network-manager-l2tp-gnome:
 network-manager-l2tp-gnome зависит от network-manager-l2tp (= 0.9.8.5-0utopic1), однако:
  Пакет network-manager-l2tp пока не настроен.

dpkg: ошибка при обработке пакета network-manager-l2tp-gnome (--install):
 проблемы зависимостей — оставляем не настроенным
Обрабатываются триггеры для dbus (1.8.12-1ubuntu5) …
При обработке следующих пакетов произошли ошибки:
 network-manager-l2tp
 network-manager-l2tp-gnome

Оффлайн AnrDaemon

  • Заслуженный пользователь
  • Старожил
  • *
  • Сообщений: 27327
    • Просмотр профиля
OpenSwan больше не поставляется.
Ставьте 14.04, либо профинансируйте портирование плагина под StrongSwan, использующийся в 15+.
Хотите получить помощь? Потрудитесь представить запрошенную информацию в полном объёме.

Прежде чем [Отправить], нажми [Просмотр] и прочти собственное сообщение. Сам-то понял, что написал?…

Оффлайн prizes

  • Любитель
  • *
  • Сообщений: 60
    • Просмотр профиля
С такой же проблемой борюсь уже 3 недели. Все перепробовал, Strongswan, Openswan, GUI клиенты, <удалено модератором> не пашет. Только лишь xl2tpd без IPSec работает, как только IPSec настраиваешь все сразу не работает. К тому же на всех форумах пишут готовый конфиг без комментов к опциям, и вот чисто на доверии методом подбора приходится. Пока результат=0

Цитировать
Правила форума
2. На форуме ЗАПРЕЩЕНО
2.1. Использовать ненормативную лексику в любом виде. В том числе сокращённые и искажённые нецензурные слова. Замена нецензурных слов спецсимволами также не допускается.

--БТР
« Последнее редактирование: 16 Октябрь 2017, 13:07:38 от БТР »

 

Страница сгенерирована за 0.129 секунд. Запросов: 25.